Subject: Re: statist question

From: Bernhard Reiter <[email-masked]>
Date: Mon, 20 May 2002 15:37:48 +0200

Hello Jonne,

[Answer also forwarded to the archived statist mailinglist.]

In the original documentation (written by Dirk Melcher in German) 
there is an explained figure of the box and whisker plot.
It says that the '[' and ']' characters stand for the
"90% confidence intervall of the median".
The function was written by Dirk.  He quotes a German book on
statistics.  I've not rechecked the calculation which happens in the
lines you identified.

On Sun, May 19, 2002 at 06:50:11PM +0200, J. Zutt wrote:
> Could you please explain me what the '[' and ']' characters
> refer to in a box-whisker plot?
> I looked in the source code and found this:
>   no_u = median + 1.58*(q_u-q_l)/sqrt((REAL)n);
>   no_l = median - 1.58*(q_u-q_l)/sqrt((REAL)n);
> 
> I thought it has something todo with it, but I cannot
> figure it out.

> Furthermore, is it possible to plot more than one
> box-whisker plot (when 'column for variable 1' is
> asked, I cannot enter "all"...) in one figure?

You cannot use the function to plot more than one box and whisker plot
at once.  If you need several plots you could write a small script.

There is one trick to get open several gnuplot windows.
You have to enter raw gnuplot commands and tell gnuplot
to send the next plot in a different X11 window, like:
	set term x11 1

For a script you can also make sure that gnuplot places the plot
result in a postscript file:	
	set term postscript eps
or
	set term postscript 
you can even give this file a name an put several plot in there:
	set output "result1.eps"

Cheers,
	Bernhard